%global momorel 3

%global expat_version           1.95.5
%global glib2_version           2.6.0
%global dbus_version            0.90
%global dbus_glib_version	0.70
%global gtk_doc_version         1.4
%global libselinux_version      1.30
%global pam_version             0.99.6
%global intltool_version        0.36

# uid/gid allocated in this bug:
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=244950
%global polkit_uid              87

Summary: Authorization Toolkit
Name: PolicyKit
Version: 0.9
Release: %{momorel}m%{?dist}
License: MIT
Group: System Environment/Libraries
URL: http://gitweb.freedesktop.org/?p=PolicyKit.git;a=summary
Source0: http://hal.freedesktop.org/releases/%{name}-%{version}.tar.gz
NoSource: 0
Patch1: pk-ck-api-change.patch
Patch2: entry-leak.patch
Patch3: polkit-0.8-dbus-policy.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: dbus >= %{dbus_version}
Requires: dbus-glib >= %{dbus_glib_version}
Requires: glib2 >= %{glib2_version}
Requires: libselinux >= %{libselinux_version}
Requires: pam >= %{pam_version}
Requires(post): chkconfig
Requires(preun): chkconfig
Requires(post): /sbin/ldconfig
Requires(pre): shadow-utils
Requires(postun): /sbin/ldconfig
BuildRequires: expat-devel >= %{expat_version}
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: dbus-devel  >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: gtk-doc >= %{gtk_doc_version}
BuildRequires: intltool >= %{intltool_version}
BuildRequires: libselinux-devel >= %{libselinux_version}
BuildRequires: libxslt
BuildRequires: pam-devel >= %{pam_version}

# Since PolicyKit 0.7 reading authorizations is a privileged
# operation. So we need to force a new version of hal that makes sure
# that user 'haldaemon' can read authorizations of other users.

# Conflicts: hal < 0.5.10-9m

%description 
PolicyKit is a toolkit for defining and handling authorizations. It is
used for allowing unprivileged processes to speak to privileged
processes.

%package devel
Summary: Headers and libraries for PolicyKit
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: glib2-devel
Requires: dbus-devel

%description devel
Headers and libraries for PolicyKit.

%package docs
Summary: Documentation for PolicyKit
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
# stupid guidelines require this for ownership of /usr/share/gtk-doc
Requires: gtk-doc
BuildArch: noarch

%description docs
Documentation for PolicyKit.

%prep
%setup -q

%patch1 -p1 -b .api-change
%patch2 -p1 -b .entry-leak
%patch3 -p1 -b .dbus-policy

%build
autoreconf -fi
%configure
make

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}

rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/*.a

%clean
rm -rf --preserve-root %{buildroot}

%pre
%{_sbindir}/useradd -c 'PolicyKit' -u %{polkit_uid} \
	-s /sbin/nologin -r -d '/' polkituser 2> /dev/null || :

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog HACKING INSTALL NEWS README doc/TODO
%dir %{_sysconfdir}/PolicyKit
%config(noreplace) %{_sysconfdir}/PolicyKit/PolicyKit.conf
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.PolicyKit.conf
%config(noreplace) %{_sysconfdir}/pam.d/polkit
%{_sysconfdir}/profile.d/polkit-bash-completion.sh
%{_bindir}/polkit-*
%{_libdir}/libpolkit*.so.*
%{_libexecdir}/polkitd

# see README file for why these permissions are necessary
%attr(2755,root,polkituser) %{_libexecdir}/polkit-explicit-grant-helper
%attr(2755,root,polkituser) %{_libexecdir}/polkit-grant-helper
%attr(4754,root,polkituser) %{_libexecdir}/polkit-grant-helper-pam
%attr(4755,polkituser,root) %{_libexecdir}/polkit-set-default-helper
%attr(2755,root,polkituser) %{_libexecdir}/polkit-read-auth-helper
%attr(4755,root,polkituser) %{_libexecdir}/polkit-resolve-exe-helper
%attr(2755,root,polkituser) %{_libexecdir}/polkit-revoke-helper
%attr(0770,root,polkituser) %dir %{_localstatedir}/lib/PolicyKit
%attr(0755,polkituser,root) %dir %{_localstatedir}/lib/PolicyKit-public
%attr(0664,polkituser,polkituser) %{_localstatedir}/lib/misc/PolicyKit.reload
%attr(0770,root,polkituser) %dir %{_localstatedir}/run/PolicyKit

%dir %{_datadir}/PolicyKit
%dir %{_datadir}/PolicyKit/policy
%{_datadir}/PolicyKit/policy/org.freedesktop.policykit.policy
%{_datadir}/PolicyKit/config.dtd
%{_datadir}/dbus-1/system-services/org.freedesktop.PolicyKit.service
%{_mandir}/man1/polkit-*.1*
%{_mandir}/man5/PolicyKit.conf.5*
%{_mandir}/man8/PolicyKit.8*

%files devel
%defattr(-,root,root,-)
%{_includedir}/PolicyKit
%{_libdir}/pkgconfig/polkit*.pc
%{_libdir}/libpolkit*.so
%{_datadir}/dbus-1/interfaces/org.freedesktop.PolicyKit.AuthenticationAgent.xml

%files docs
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/polkit

%changelog
* Sun May 17 2009 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.9-3m)
- add autoreconf for libtool22

* Fri May  8 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9-2m)
- set BuildArch: noarch on package docs

* Sat Mar  7 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9-1m)
- version 0.9
- import 3 patches from Fedora
 - dbus-policy.patch
  +* Mon Dec  8 2008 David Zeuthen <davidz@redhat.com> - 0.9-4
  +- D-Bus policy fix (fd.o #18948)
 - entry-leak.patch
  +* Fri Sep 19 2008 Matthias Clasen <mclasen@redhat.com> - 0.9-3
  +- Plug a memory leak
 - pk-ck-api-change.patch
  +* Tue Jul 22 2008 Jon McCann  <jmccann@redhat.com> - 0.9-2
  +- Fix for CK API change
- remove policykit-allow-root-to-read-auth.patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8-7m)
- rebuild against rpm-4.6

* Sun Dec 14 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8-6m)
- remove dbus-policy.patch

* Sat Dec 13 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8-5m)
- apply dbus-policy.patch
- http://bugs.freedesktop.org/show_bug.cgi?id=18948

* Sat Jul 12 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8-4m)
- apply upstream fix
 +* Mon Jun 30 2008 - Bastien Nocera <bnocera@redhat.com> - 0.8-3
 +- Upstream patch to allow root to read auths

* Tue Apr 22 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8-3m)
- use make instead of %%make

* Sun Apr 20 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8-2m)
- release %%{_datadir}/dbus-1/interfaces

* Sat Apr 19 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8-1m)
- version 0.8

* Sat Dec 15 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7-1m)
- import from Fedora

* Thu Dec  6 2007 David Zeuthen <davidz@redhat.com> - 0.7-3%{?dist}
- Conflict with older hal release

* Thu Dec  6 2007 David Zeuthen <davidz@redhat.com> - 0.7-2%{?dist}
- BR intltool and adjust License to MIT

* Thu Dec  6 2007 David Zeuthen <davidz@redhat.com> - 0.7-1%{?dist}
- Update to latest upstream release

* Thu Oct 11 2007 David Zeuthen <davidz@redhat.com> - 0.6-1%{?dist}
- Update to latest upstream release

* Tue Sep 25 2007 David Zeuthen <davidz@redhat.com> - 0.6-0.git20070925%{?dist}
- Update to git snapshot

* Fri Aug 31 2007 David Zeuthen <davidz@redhat.com> - 0.5-3%{?dist}
- Rebuild

* Fri Aug 31 2007 David Zeuthen <davidz@redhat.com> - 0.5-2%{?dist}
- Upstream release 0.5

* Fri Aug 10 2007 Matthias Clasen <mclasen@redhat.com> - 0.5-1.git20070731%{?dist}
- Add missing Requires (#251268)
- Own /etc/PolicyKit (#251274)

* Tue Jul 31 2007 David Zeuthen <davidz@redhat.com> - 0.5-0.git20070731%{?dist}
- Update to git snapshot

* Fri Jul 27 2007 David Zeuthen <davidz@redhat.com> - 0.4-2%{?dist}
- Incorporate comments from package review (#245015)

* Wed Jul 25 2007 David Zeuthen <davidz@redhat.com> - 0.4-1%{?dist}
- Update to version 0.4.

* Tue Jun 19 2007 David Zeuthen <davidz@redhat.com> - 0.3-1%{?dist}
- Initial build.
